module QVO
    module Cards
        extend self

        def create_inscription(customer_id, data)
            QVO.post "/customers/#{customer_id}/cards/inscriptions", data
        end

        def get_inscription(customer_id, inscription_uid)
            QVO.get "/customers/#{customer_id}/cards/inscriptions/#{inscription_uid}"
        end

        def get(customer_id, card_id)
            QVO.get "/customers/#{customer_id}/cards/#{card_id}"
        end

        def charge(customer_id, card_id, data)
            QVO.post "/customers/#{customer_id}/cards/#{card_id}/charge", data
        end

        def list(customer_id)
            QVO.get "/customers/#{customer_id}/cards"
        end
    end
end