module QVO
    module Plans
        extend self
        
        def create(data)
            QVO.post "/plans", data
        end

        def get(plan_id)
            QVO.get "/plans/#{plan_id}"
        end

        def update(plan_id, data)
            QVO.put "/plans/#{plan_id}", data
        end

        def delete(plan_id)
            QVO.delete "/plans/#{plan_id}"
        end

        def list
            QVO.get "/plans"
        end
    end
end