module QVO
    module Customers
        extend self
        
        def create(data)
            QVO.post "/customers", data
        end

        def get(customer_id)
            QVO.get "/customers/#{customer_id}"
        end

        def update(customer_id, data)
            QVO.put "/customers/#{customer_id}", data
        end

        def delete(customer_id)
            QVO.delete "/customers/#{customer_id}"
        end

        def list
            QVO.get "/customers"
        end
    end
end