module QVO
    module Subscriptions
        extend self
        
        def create(data)
            QVO.post "/subscriptions", data
        end

        def get(subscription_id)
            QVO.get "/subscriptions/#{subscription_id}"
        end

        def update(subscription_id, data)
            QVO.put "/subscriptions/#{subscription_id}", data
        end

        def cancel(subscription_id)
            QVO.delete "/subscriptions/#{subscription_id}"
        end

        def list
            QVO.get "/subscriptions"
        end
    end
end